<?php
# ******************************
# General Information Section
# ******************************
$directory = "/tmp/pooch"; 

# ******************************
# Pooch Node Information Section
# ******************************

# Get fresh data
if (!empty($_POST['page_refresh'])) {
$original_data = `/usr/local/bin/poochstat -f -b`; 
}

# Get node data
$original_data = `/usr/local/bin/poochstat -r -b`;

$data_here = strlen($original_data);

# Check if data was collected and refresh if not
if ($data_here <= 15)
{
sleep(3);
$original_data = `/usr/local/bin/poochstat -r -b`;
}

$post_variable_count = count($HTTP_POST_VARS);

$titles = array("name:", "address:", "rating:", "OS version:", "load:", "status:", "free memory:", "achieved performance:", "number of processors:", "processor clock speed:", "free disk space:", "processor type:", "physical memory:", "time stamp:date ");
$title_quantity = count($titles);

$display_titles = array("Name", "Address", "Rating", "OS version", "Load", "Status", "Free memory", "Achieved Performance", "Number of processors", "Processor Clock Speed", "Free Disk Space", "Processor Type", "Physical Memory", "Time stamp");

# take off curly brackets
$original_data = rtrim($original_data, "}");
# determine length of original data string
$stringlength = strlen($original_data);
# remove curly brackets from the beginning of the data string
$trimmed_data = substr($original_data, 2, $stringlength-1); 
# remove titles
$trimmed_data = str_replace($titles, "", $trimmed_data);
# remove additional quote markings
$trimmed_data = str_replace("\"", "", $trimmed_data);
# split into individual node details
$data_array = explode("}, {", $trimmed_data);
# determine number of items in data_array
$node_quantity = count($data_array);

# separate by comma - each node data
for ($count = 0; $count<$node_quantity; $count++) {
$node_data[$count] = explode(",",$data_array[$count]);
}
# ******************************
# Assemble Node info for printing
# ******************************
$node_info_print = "";
$node_info_print = $node_info_print."<TR>";
		$node_info_print = $node_info_print."<td><font size=2>Select Node</font></td>";
		for ($count = 0; $count<$title_quantity-1; $count++) {
		$node_info_print = $node_info_print."<td><font size=2>$display_titles[$count]</font></td>";
		}
		$node_info_print = $node_info_print."</tr><br>";
		for ($count = 0; $count<$node_quantity; $count++) {
			$node_info_print = $node_info_print."<tr><td align=center><font size=2><input type=checkbox name=-node-".$count." value=".$node_data[$count][1]."></font></td>";
			for ($count2=0; $count2<13; $count2++) {
					if ($count2 == 2) {
						$rating = sprintf("%6.5f", $node_data[$count][$count2]);
						$node_info_print = $node_info_print."<td align=center><font size=2>$rating</font></td>";
					} elseif ($count2 == 4) {
						$load = (($node_data[$count][$count2])* 100);
						$load = sprintf("%6.2f", $load);
						$node_info_print = $node_info_print."<td align=center><font size=2>$load</font></td>";
					} elseif ($count2 == 7) {
						$performance = sprintf("%6.2f", $node_data[$count][$count2]);
						$node_info_print = $node_info_print."<td align=center><font size=2>$performance</font></td>";
					} else {
					$print_current_variable = $node_data[$count][$count2];
						$node_info_print = $node_info_print."<td align=center><font size=2>$print_current_variable</font></td>";
					}
				}
			$node_info_print = $node_info_print."</tr>";
			}

# ******************************
# Retrieve File listing Portion
# ******************************

$file_listing = "";
$file_count = 0;
$dir = opendir($directory); 
while ($file = readdir($dir)) { 
if ($file != "." && $file != "..") {
 $fileencode = urlencode($file); 
 $temp = "<tr><td align=center><font size=2><input type=checkbox name=-file-".$file_count." value=".$fileencode."></font></td><td><font size=2>".$file."</font></td></tr>";
 $file_listing = $file_listing.$temp;
 $file_count++;
 } 
}
closedir($dir);

# ******************************
# Diagnostic Section
# ******************************
#var_dump($HTTP_POST_VARS);
#var_dump($node_data);

?>

<html>
<head>
  <title>Pooch HTML Interface</title>                              
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
</head>
<body>
<table align="center" bgcolor="#999999" width="809" border="0" cellspacing="0" cellpadding="0">
      <tbody>
				<tr>
					<td align="center" width="803" valign="middle">           
      <table cellpadding="0" cellspacing="0" border="0" width="96%">
      <tr><td valign="top" colspan=3>
									<div align="center">
										<b><font size="+1">Pooch Job Window</font></b></div>
								</td>
      </tr>
	<FORM ACTION="job-interface.php" METHOD="post">
      <tr><td width="290" bgcolor="#c0c0c0"><b>Node Listing</b></td>
									<td bgcolor="#c0c0c0"></td>
									<td bgcolor="#c0c0c0">
										<div align="right">
											<INPUT TYPE="submit" NAME="Refresh Node Information" VALUE="Refresh Node Information"></div>
									</td>
	   </tr><input type="hidden" name="page_refresh" value="Yes"></FORM>                                         
       <tr><FORM ACTION="job-launch.php" METHOD="post">
         <td valign="top" bgcolor="#ffffff" colspan=3><div style="width:100%;height:200;overflow:auto;"><font size="-3">
          <table width=100% border=1>
		<?PHP Print $node_info_print ?>
		</table>						
            </div></font></td></tr>                                   
          <tr height=20>
								<td valign="top" width="290"><br></td>
							</tr>
							<tr>
								<td colspan="3" valign="top" bgcolor="#c0c0c0"><b>File Listing</b></td>
							</tr>
							<tr height="100">
								<td colspan="3" valign="top" bgcolor="#ffffff"><div style="width:100%;height:100;overflow:auto;"><table><?PHP Print $file_listing ?></table></div></td>
							</tr>
							<tr>
								<td colspan="3"><br></td>
							</tr>
							<tr>
								<td width="290">
							<div align="center">
										<INPUT TYPE="submit" NAME="Launch" VALUE="Launch Job"></div>
							</td></FORM><FORM ACTION="job-status.php" METHOD="post">
								<td><div align="center">
										<INPUT TYPE="submit" NAME="job_status" VALUE="Job Status"></div></td></FORM><FORM ACTION="file-manage.php" METHOD="post">
								<td valign="top" align="left" width="272">
									<div align="center">
										<INPUT TYPE="submit" NAME="manage_files" VALUE="Manage Files"></div>
								</td></FORM>
							</tr>
		</tbody>                         
      </table>
	</body>
</html>

